#include <applicat.h> 
#include <mask.h>
#include <relation.h>
#include <tabutil.h>
#include <utility.h>
#include <progind.h>
#include <urldefid.h> 
#include <config.h> 

class TAgg_nprot : public TApplication
{
  TTable*   _tabreg;
  TString16 _reg;
  int       _anno;
  long      _prot;

protected:
  static bool filtra_mov(const TRelation*);  

public:        
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
  
  int rinumera_prot();

  TAgg_nprot() : _reg("") {};
  virtual ~TAgg_nprot() {};
};          